package com.qmth.themis.business.cache.bean;

import java.io.Serializable;

public class ExamStudentAnswerCacheBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7505986290431178431L;

	// 大题号
	private Integer mainNumber;
	// 小题号
	private Integer subNumber;
	// 套题子题号
	private Integer subIndex;

	// 作答内容
	private String answer;

	// 版本时间戳
	private Long version;

	// 作答时长 秒
	private Integer durationSeconds;
	
	//得分
	private Double score;
	
	//是否客观题
	private Boolean objective;


	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public Long getVersion() {
		return version;
	}

	public void setVersion(Long version) {
		this.version = version;
	}


	public Integer getDurationSeconds() {
		return durationSeconds;
	}

	public void setDurationSeconds(Integer durationSeconds) {
		this.durationSeconds = durationSeconds;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public Integer getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}

	public Integer getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Integer subIndex) {
		this.subIndex = subIndex;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Boolean getObjective() {
		return objective;
	}

	public void setObjective(Boolean objective) {
		this.objective = objective;
	}
}
